FROM node:lts-alpine

WORKDIR /app

EXPOSE 5173

# Copy dependency definitions
COPY package*.json ./

# Install dependencies
RUN npm install

# Copy the rest of the source code
COPY . .

# Start the dev server with --host for external access
CMD ["npm", "run", "dev", "--", "--host", "--port", "5173"]
